Bug 877748 - Engine-upgrade will overwrite existing certificates and sysprep default location in VDC_Options
Engine-upgrade will overwrite existing certificates and sysprep default locat...
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.1.2
Assigned To: Moran Goldboim
Pavel Stehlik
Depends On:
  Show dependency treegraph
Reported: 2012-11-18 09:06 EST by Alex Lourie
Modified: 2013-02-27 01:37 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
When upgrading to Red Hat Enterprise Virtualization 3.1 the paths for certificate and sysprep files, stored in the vdc_options table, are reset to their default values. Where non-default options were in use before the upgrade they must be restored manually using the rhevm-config command.
Story Points: ---
Clone Of:
Last Closed: 2012-12-24 04:31:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alex Lourie 2012-11-18 09:06:49 EST
Currently, engine-upgrade will overwrite VDC_Options during 3.0 -> 3.1 upgrade with default values.

The upgrade should honor non-default settings and not change them.
Comment 1 Moran Goldboim 2012-11-19 04:07:37 EST
the option which will be overridden with 3.0 -> 3.1 upgrade (in case user changed the defaults) are: 
"CABaseDirectory":["/etc/pki/ovirt-engine", 'text'],
"keystoreUrl":["/etc/pki/ovirt-engine/.keystore", 'text'],
"CertificateFileName":["/etc/pki/ovirt-engine/certs/engine.cer", 'text'],
"CAEngineKey":["/etc/pki/ovirt-engine/private/ca.pem", 'text'],
"TruststoreUrl":["/etc/pki/ovirt-engine/.keystore", 'text'],
"ENGINEEARLib":["%s/engine.ear" %(basedefs.DIR_ENGINE), 'text'],
"CACertificatePath":["/etc/pki/ovirt-engine/ca.pem", 'text'],
"CertAlias":["engine", 'text'],
"TruststorePass":[basedefs.CONST_CA_PASS, 'text'],
"keystorePass":[basedefs.CONST_CA_PASS, 'text'],
"SSLEnabled":[ "true", 'text'],
"ScriptsPath":["/usr/share/ovirt-engine", 'text'],
"SysPrepXPPath":["/etc/ovirt-engine/sysprep/sysprep.xp", 'text'],
"SysPrep2K3Path":["/etc/ovirt-engine/sysprep/sysprep.2k3", 'text'],
"SysPrep2K8Path":["/etc/ovirt-engine/sysprep/sysprep.2k8x86", 'text'],
"SysPrep2K8x64Path":["/etc/ovirt-engine/sysprep/sysprep.2k8", 'text'],
"SysPrep2K8R2Path":["/etc/ovirt-engine/sysprep/sysprep.2k8", 'text'],
"SysPrepWindows7Path":["/etc/ovirt-engine/sysprep/sysprep.w7", 'text'],
"SysPrepWindows7x64Path":["/etc/ovirt-engine/sysprep/sysprep.w7x64", 'text'],
"ConfigDir":["/etc/ovirt-engine", 'text'],
"DataDir":["/usr/share/ovirt-engine", 'text']
Comment 5 Chris Negus 2012-12-19 10:00:39 EST
I noted this issue in the "RHEV 3.0 to 3.1 Upgrade" kbase article (https://access.redhat.com/knowledge/articles/269333). For now, the article notes that any changes to these values are overwritten.

Note You need to log in before you can comment on or make changes to this bug.